## seqan2 2.2.0+dfsg

=== debian/changelog ===
seqan2 (2.2.0+dfsg-4) unstable; urgency=medium

  * Restrict to known working archs for now. Closes: #840025
  * Use upstream's patch. Closes: #840030, #840026

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 11 Oct 2016 12:20:59 -0700

seqan2 (2.2.0+dfsg-3) unstable; urgency=medium

  * Fix arch specific build. Closes: #840023
  * Remove shlibs:Depends from include-only library package
  * More spelling fixes
  * Fix manpage generation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 09 Oct 2016 06:41:34 -0700

seqan2 (2.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Declare Conflicts: with seqan-dev (API incompatible)
    See https://github.com/seqan/seqan/issues/1820 for upstream discussion.
    Closes: #838340.
  * Add CMake modules needed to build projects based on SeqAn.
  * Add pkg-config file.
  * Fix some typos in d/copyright.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 24 Sep 2016 21:48:27 +0000

seqan2 (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Separate packaging from legacy seqan
  * cme fix dpkg-control
  * moved debian/upstream to debian/upstream/metadata
  * disable doc creation which works differently than in previous versions
  * correct opts in d/watch
  * upgrade copyright
  * New Build-Depends:
     * python-jinja2 needed in test suite
     * libbz2-dev, python-sphinx, python-nose, default-jdk suggested by
       build system
  * d/copyright: Remove some minimised JS scripts without source which
    are packaged for Debian
  * seqan-dev.install: Fix location of include files, docs are somewhere
    else and should be moved to a separate package
  * New package seqan-doc
  * Moved to Git
  * Symlink to binaries only if these are part of the binary distribution

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 13:16:56 +0200
