=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compression=xz,repack" \
  http://packages.seqan.de/ .*/seqan-src-([.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
